return require('bufferline').setup {
    options = {
        numbers = 'none',
        mappings = true,
        max_name_length = 16,
        max_prefix_length = 14,
        tab_size = 20,
        diagnostics = 'nvim_lsp',
        show_close_icon = false,
        show_buffer_icons = true,
        show_tab_indicators = true,
        enforce_regular_tabs = false,
        show_buffer_close_icons = true,
        always_show_bufferline = true,
        offsets = {
            {filetype = 'NvimTree', text = 'NvimTree', text_align = 'left'},
            {filetype = 'packer', text = 'Packer', text_align = 'left'}
        },
        separator_style = 'thin'
    },

    highlights = {
        fill = {
            guibg = {
                attribute = 'bg',
                highlight = 'TabLineFill'
            }
        }
    }
}
